OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
SweepExteriorSign< TreeType > Class Template Reference

`#include <MeshToVolume.h>`

## Public Types
enum | Axis { X_AXIS = 0, Y_AXIS = 1, Z_AXIS = 2 }
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType
using | ConnectivityTable = LeafNodeConnectivityTable< TreeType >

## Public Member Functions
| SweepExteriorSign (Axis axis, const std::vector< size_t > &startNodeIndices, ConnectivityTable &connectivity)
void | operator() (const tbb::blocked_range< size_t > &range) const
bool | traceVoxelLine (LeafNodeType &node, Index pos, Index step) const

## Member Typedef Documentation

## ◆ ConnectivityTable

using ConnectivityTable = LeafNodeConnectivityTable<TreeType>

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Member Enumeration Documentation

## ◆ Axis

enum Axis

Enumerator
X_AXIS |
Y_AXIS |
Z_AXIS |

## Constructor & Destructor Documentation

## ◆ SweepExteriorSign()

SweepExteriorSign | ( | Axis | axis,
|  | const std::vector< size_t > & | startNodeIndices,
|  | ConnectivityTable & | connectivity
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## ◆ traceVoxelLine()

bool traceVoxelLine | ( | LeafNodeType & | node,
|  | Index | pos,
|  | Index | step
| ) |  | const
| inline

The documentation for this class was generated from the following file:

- MeshToVolume.h